Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.dom
Class CoreDocumentImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.ParentNode
                  weblogic.apache.xerces.dom.CoreDocumentImpl

All Implemented Interfaces:
  Serializable, Cloneable, Document, EventTarget, DocumentLS, Node, NodeList

Direct Known Subclasses:
  DocumentImpl

Deprecated. please use JDK supplied XML parsers and transformers

    public class CoreDocumentImpl

extends ParentNode
implements Document, DocumentLS

The Document interface represents the entire HTML or XML document. Conceptually, it is the root of the document tree, and provides the primary access to the document's data.

Since elements, text nodes, comments, processing instructions, etc. cannot exist outside the context of a Document, the Document interface also contains the factory methods needed to create these objects. The Node objects created have a ownerDocument attribute which associates them with the Document within whose context they were created.

The CoreDocumentImpl class only implements the DOM Core. Additional modules are supported by the more complete DocumentImpl subclass.

Note: When any node in the document is serialized, the entire document is serialized along with it.

Since:
  PR-DOM-Level-1-19980818.
See Also:
  Serialized Form

Field Summary
`protected String` | `actualEncoding` Deprecated. Experimental DOM Level 3 feature: Document actualEncoding
`protected boolean` | `allowGrammarAccess` Deprecated. Allow grammar access.
`protected static short` | `CDATA` Deprecated.
`protected int` | `changes` Deprecated. Number of alterations made to this document since its creation.
`protected static short` | `COMMENTS` Deprecated.
`protected static short` | `DEFAULTS` Deprecated.
`protected ElementImpl` | `docElement` Deprecated. Document element.
`protected DocumentTypeImpl` | `docType` Deprecated. Document type.
`protected DOMNormalizer` | `domNormalizer` Deprecated.
`protected static short` | `DTNORMALIZATION` Deprecated.
`protected String` | `encoding` Deprecated. Experimental DOM Level 3 feature: Document encoding
`protected static short` | `ENTITIES` Deprecated.
`protected boolean` | `errorChecking` Deprecated. Bypass error checking.
`protected DOMValidationConfiguration` | `fConfiguration` Deprecated.
`protected String` | `fDocumentURI` Deprecated. Experimental DOM Level 3 feature: documentURI
`protected short` | `features` Deprecated. Normalization features
`protected XMLEntityResolver` | `fEntityResolver` Deprecated.
`protected DOMErrorHandlerWrapper` | `fErrorHandlerWrapper` Deprecated. Experimental DOM Level 3 feature: errorHandler
`protected Grammar` | `fGrammar` Deprecated.
`protected ShadowedSymbolTable` | `fSymbolTable` Deprecated.
`protected Hashtable` | `identifiers` Deprecated. Identifiers.
`protected static short` | `NAMESPACES` Deprecated.
`protected static short` | `SPLITCDATA` Deprecated.
`protected boolean` | `standalone` Deprecated. Experimental DOM Level 3 feature: Document standalone
`protected Hashtable` | `userData` Deprecated. Table for user data attached to this document nodes.
`protected static short` | `VALIDATION` Deprecated.
`protected String` | `version` Deprecated. Experimental DOM Level 3 feature: Document version

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`CoreDocumentImpl()` Deprecated. NON-DOM: Actually creating a Document is outside the DOM's spec, since it has to operate in terms of a particular implementation.
`CoreDocumentImpl(boolean grammarAccess)` Deprecated. Constructor.
`CoreDocumentImpl(DocumentType doctype)` Deprecated. For DOM2 support.
`CoreDocumentImpl(DocumentType doctype, boolean grammarAccess)` Deprecated. For DOM2 support.

Method Summary
`void` | `abort()` Deprecated. DOM Level 3 WD - Experimental.
`protected void` | `addEventListener(NodeImpl node, String type, EventListener listener, boolean useCapture)` Deprecated.
`Node` | `adoptNode(Node source)` Deprecated. DOM Level 3 WD - Experimental Change the node's ownerDocument, and its subtree, to this Document
`boolean` | `canSetNormalizationFeature(String name, boolean state)` Deprecated. DOM Level 3 WD - Experimental.
`protected void` | `changed()` Deprecated. Denotes that this node has changed.
`protected int` | `changes()` Deprecated. Returns the number of changes to this node.
`Object` | `clone()` Deprecated. Clone.
`Node` | `cloneNode(boolean deep)` Deprecated. Deep-clone a document, including fixing ownerDoc for the cloned children.
`protected void` | `cloneNode(CoreDocumentImpl newdoc, boolean deep)` Deprecated. internal method to share code with subclass
`void` | `copyConfigurationProperties(XMLParserConfiguration config)` Deprecated. NON-DOM: copy configuration properties from the parsing configuration.
`protected void` | `copyEventListeners(NodeImpl src, NodeImpl tgt)` Deprecated.
`Attr` | `createAttribute(String name)` Deprecated. Factory method; creates an Attribute having this Document as its OwnerDoc.
`Attr` | `createAttributeNS(String namespaceURI, String qualifiedName)` Deprecated. Introduced in DOM Level 2.
`Attr` | `createAttributeNS(String namespaceURI, String qualifiedName, String localName)` Deprecated. Xerces-specific constructor.
`CDATASection` | `createCDATASection(String data)` Deprecated. Factory method; creates a CDATASection having this Document as its OwnerDoc.
`Comment` | `createComment(String data)` Deprecated. Factory method; creates a Comment having this Document as its OwnerDoc.
`DocumentFragment` | `createDocumentFragment()` Deprecated. Factory method; creates a DocumentFragment having this Document as its OwnerDoc.
`DocumentType` | `createDocumentType(String qualifiedName, String publicID, String systemID)` Deprecated. NON-DOM Factory method; creates a DocumentType having this Document as its OwnerDoc.
`Element` | `createElement(String tagName)` Deprecated. Factory method; creates an Element having this Document as its OwnerDoc.
`ElementDefinitionImpl` | `createElementDefinition(String name)` Deprecated. NON-DOM Factory method: creates an element definition.
`Element` | `createElementNS(String namespaceURI, String qualifiedName)` Deprecated. Introduced in DOM Level 2.
`Element` | `createElementNS(String namespaceURI, String qualifiedName, String localpart)` Deprecated. NON-DOM: Xerces-specific constructor.
`Entity` | `createEntity(String name)` Deprecated. NON-DOM Factory method; creates an Entity having this Document as its OwnerDoc.
`EntityReference` | `createEntityReference(String name)` Deprecated. Factory method; creates an EntityReference having this Document as its OwnerDoc.
`Notation` | `createNotation(String name)` Deprecated. NON-DOM Factory method; creates a Notation having this Document as its OwnerDoc.
`ProcessingInstruction` | `createProcessingInstruction(String target, String data)` Deprecated. Factory method; creates a ProcessingInstruction having this Document as its OwnerDoc.
`Text` | `createTextNode(String data)` Deprecated. Factory method; creates a Text node having this Document as its OwnerDoc.
`protected boolean` | `dispatchEvent(NodeImpl node, Event event)` Deprecated.
`void` | `finalize()` Deprecated. Call user data handlers to let them know the nodes they are related to are being deleted.
`String` | `getActualEncoding()` Deprecated. DOM Level 3 WD - Experimental.
`boolean` | `getAsync()` Deprecated. DOM Level 3 WD - Experimental.
`String` | `getBaseURI()` Deprecated. DOM Level 3 WD - Experimental.
`DocumentType` | `getDoctype()` Deprecated. For XML, this provides access to the Document Type Definition.
`Element` | `getDocumentElement()` Deprecated. Convenience method, allowing direct access to the child node which is considered the root of the actual document content.
`String` | `getDocumentURI()` Deprecated. DOM Level 3 WD - Experimental.
`Element` | `getElementById(String elementId)` Deprecated. Introduced in DOM Level 2 Returns the Element whose ID is given by elementId.
`NodeList` | `getElementsByTagName(String tagname)` Deprecated. Return a live collection of all descendent Elements (not just immediate children) having the specified tag name.
`NodeList` | `getElementsByTagNameNS(String namespaceURI, String localName)` Deprecated. Introduced in DOM Level 2.
`String` | `getEncoding()` Deprecated. DOM Level 3 WD - Experimental.
`boolean` | `getErrorChecking()` Deprecated. Returns true if the DOM implementation performs error checking.
`org.apache.xerces.dom3.DOMErrorHandler` | `getErrorHandler()` Deprecated. DOM Level 3 WD - Experimental.
`Element` | `getIdentifier(String idName)` Deprecated. Returns a previously registered element with the specified identifier name, or null if no element is registered.
`Enumeration` | `getIdentifiers()` Deprecated. Returns an enumeration registered of identifier names.
`DOMImplementation` | `getImplementation()` Deprecated. Retrieve information describing the abilities of this particular DOM implementation.
`String` | `getNodeName()` Deprecated. Returns the node name.
`short` | `getNodeType()` Deprecated. Returns the node type.
`boolean` | `getNormalizationFeature(String name)` Deprecated. DOM Level 3 WD - Experimental.
`Document` | `getOwnerDocument()` Deprecated. Find the Document that this Node belongs to (the document in whose context the Node was created).
`boolean` | `getStandalone()` Deprecated. DOM Level 3 WD - Experimental.
`boolean` | `getStrictErrorChecking()` Deprecated.
`String` | `getTextContent()` Deprecated. This attribute returns the text content of this node and its descendants.
`protected Object` | `getUserData(NodeImpl n)` Deprecated. NON-DOM: kept for backward compatibility Retreive user data related to a given node
`Object` | `getUserData(Node n, String key)` Deprecated. Retrieves the object associated to a key on a this node.
`String` | `getVersion()` Deprecated. DOM Level 3 WD - Experimental.
`Node` | `importNode(Node source, boolean deep)` Deprecated. Copies a node from another document to this document.
`Node` | `insertBefore(Node newChild, Node refChild)` Deprecated. Since a Document may contain at most one top-level Element child, and at most one DocumentType declaraction, we need to subclass our add-children methods to implement this constraint.
`protected boolean` | `isKidOK(Node parent, Node child)` Deprecated. Uses the kidOK lookup table to check whether the proposed tree structure is legal.
`protected boolean` | `isNormalizeDocRequired()` Deprecated.
`static boolean` | `isXMLName(String s)` Deprecated. Check the string against XML's definition of acceptable names for elements and attributes and so on using the XMLCharacterProperties utility class
`boolean` | `load(String uri)` Deprecated. DOM Level 3 WD - Experimental.
`boolean` | `loadXML(String source)` Deprecated. DOM Level 3 WD - Experimental.
`void` | `normalizeDocument()` Deprecated. DOM Level 3 WD - Experimental Normalize document.
`void` | `putIdentifier(String idName, Element element)` Deprecated. Registers an identifier name with a specified element node.
`Node` | `removeChild(Node oldChild)` Deprecated. Since insertBefore caches the docElement (and, currently, docType), removeChild has to know how to undo the cache REVISIT: According to the spec it is not allowed to alter neither the document element nor the document type in any way
`protected void` | `removeEventListener(NodeImpl node, String type, EventListener listener, boolean useCapture)` Deprecated.
`void` | `removeIdentifier(String idName)` Deprecated. Removes a previously registered element with the specified identifier name.
`Node` | `renameNode(Node n, String namespaceURI, String name)` Deprecated. DOM Level 3 WD - Experimental.
`Node` | `replaceChild(Node newChild, Node oldChild)` Deprecated. Since we cache the docElement (and, currently, docType), replaceChild has to update the cache REVISIT: According to the spec it is not allowed to alter neither the document element nor the document type in any way
`String` | `saveXML(Node snode)` Deprecated. DOM Level 3 WD - Experimental.
`void` | `setActualEncoding(String value)` Deprecated. DOM Level 3 WD - Experimental.
`void` | `setAsync(boolean async)` Deprecated. DOM Level 3 WD - Experimental.
`void` | `setDocumentURI(String documentURI)` Deprecated. DOM Level 3 WD - Experimental.
`void` | `setEncoding(String value)` Deprecated. DOM Level 3 WD - Experimental.
`void` | `setErrorChecking(boolean check)` Deprecated. Sets whether the DOM implementation performs error checking upon operations.
`void` | `setErrorHandler(org.apache.xerces.dom3.DOMErrorHandler errorHandler)` Deprecated. DOM Level 3 WD - Experimental.
`void` | `setNormalizationFeature(String name, boolean state)` Deprecated. DOM Level 3 WD - Experimental.
`void` | `setStandalone(boolean value)` Deprecated. DOM Level 3 WD - Experimental.
`void` | `setStrictErrorChecking(boolean check)` Deprecated.
`void` | `setTextContent(String textContent)` Deprecated. This attribute returns the text content of this node and its descendants.
`protected void` | `setUserData(NodeImpl n, Object data)` Deprecated. NON-DOM: kept for backward compatibility Store user data related to a given node This is a place where we could use weak references! Indeed, the node here won't be GC'ed as long as some user data is attached to it, since the userData table will have a reference to the node.
`Object` | `setUserData(Node n, String key, Object data, org.apache.xerces.dom3.UserDataHandler handler)` Deprecated. Associate an object to a key on this node.
`void` | `setVersion(String value)` Deprecated. DOM Level 3 WD - Experimental.

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, hasChildNodes, isEqualNode, item, normalize, setReadOnly, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, compareTreePosition, dispatchEvent, getAttributes, getInterface, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, hasAttributes, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, synchronizeData, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Document
`getDomConfig, getInputEncoding, getXmlEncoding, getXmlStandalone, getXmlVersion, setXmlStandalone, setXmlVersion`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getAttributes, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getParentNode, getPrefix, getPreviousSibling, getUserData, hasAttributes, hasChildNodes, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, setNodeValue, setPrefix, setUserData`

Field Detail

### docType

    protected DocumentTypeImpl docType

  Deprecated.
  Document type.

### docElement

    protected ElementImpl docElement

  Deprecated.
  Document element.

### encoding

    protected String encoding

  Deprecated.
  Experimental DOM Level 3 feature: Document encoding

### actualEncoding

    protected String actualEncoding

  Deprecated.
  Experimental DOM Level 3 feature: Document actualEncoding

### version

    protected String version

  Deprecated.
  Experimental DOM Level 3 feature: Document version

### standalone

    protected boolean standalone

  Deprecated.
  Experimental DOM Level 3 feature: Document standalone

### fDocumentURI

    protected String fDocumentURI

  Deprecated.
  Experimental DOM Level 3 feature: documentURI

### fErrorHandlerWrapper

    protected final transient DOMErrorHandlerWrapper fErrorHandlerWrapper

  Deprecated.
  Experimental DOM Level 3 feature: errorHandler

### userData

    protected Hashtable userData

  Deprecated.
  Table for user data attached to this document nodes.

### identifiers

    protected Hashtable identifiers

  Deprecated.
  Identifiers.

### features

    protected short features

  Deprecated.
  Normalization features

### NAMESPACES

    protected static final short NAMESPACES

  Deprecated.
  See Also:
    Constant Field Values

### DTNORMALIZATION

    protected static final short DTNORMALIZATION

  Deprecated.
  See Also:
    Constant Field Values

### ENTITIES

    protected static final short ENTITIES

  Deprecated.
  See Also:
    Constant Field Values

### CDATA

    protected static final short CDATA

  Deprecated.
  See Also:
    Constant Field Values

### DEFAULTS

    protected static final short DEFAULTS

  Deprecated.
  See Also:
    Constant Field Values

### SPLITCDATA

    protected static final short SPLITCDATA

  Deprecated.
  See Also:
    Constant Field Values

### COMMENTS

    protected static final short COMMENTS

  Deprecated.
  See Also:
    Constant Field Values

### VALIDATION

    protected static final short VALIDATION

  Deprecated.
  See Also:
    Constant Field Values

### domNormalizer

    protected DOMNormalizer domNormalizer

  Deprecated.

### fConfiguration

    protected DOMValidationConfiguration fConfiguration

  Deprecated.

### fSymbolTable

    protected ShadowedSymbolTable fSymbolTable

  Deprecated.

### fEntityResolver

    protected XMLEntityResolver fEntityResolver

  Deprecated.

### fGrammar

    protected Grammar fGrammar

  Deprecated.

### changes

    protected int changes

  Deprecated.
  Number of alterations made to this document since its creation. Serves as a "dirty bit" so that live objects such as NodeList can recognize when an alteration has been made and discard its cached state information.

  Any method that alters the tree structure MUST cause or be accompanied by a call to changed(), to inform it that any outstanding NodeLists may have to be updated.

  (Required because NodeList is simultaneously "live" and integer- indexed -- a bad decision in the DOM's design.)

  Note that changes which do not affect the tree's structure -- changing the node's name, for example -- do _not_ have to call changed().

  Alternative implementation would be to use a cryptographic Digest value rather than a count. This would have the advantage that "harmless" changes (those producing equal() trees) would not force NodeList to resynchronize. Disadvantage is that it's slightly more prone to "false negatives", though that's the difference between "wildly unlikely" and "absurdly unlikely". IF we start maintaining digests, we should consider taking advantage of them. Note: This used to be done a node basis, so that we knew what subtree changed. But since only DeepNodeList really use this today, the gain appears to be really small compared to the cost of having an int on every (parent) node plus having to walk up the tree all the way to the root to mark the branch as changed everytime a node is changed. So we now have a single counter global to the document. It means that some objects may flush their cache more often than necessary, but this makes nodes smaller and only the document needs to be marked as changed.

### allowGrammarAccess

    protected boolean allowGrammarAccess

  Deprecated.
  Allow grammar access.

### errorChecking

    protected boolean errorChecking

  Deprecated.
  Bypass error checking.

Constructor Detail

### CoreDocumentImpl

    public CoreDocumentImpl()

  Deprecated.
  NON-DOM: Actually creating a Document is outside the DOM's spec, since it has to operate in terms of a particular implementation.

### CoreDocumentImpl

    public CoreDocumentImpl(boolean grammarAccess)

  Deprecated.
  Constructor.

### CoreDocumentImpl

    public CoreDocumentImpl(DocumentType doctype)

  Deprecated.
  For DOM2 support. The createDocument factory method is in DOMImplementation.

### CoreDocumentImpl

    public CoreDocumentImpl(DocumentType doctype,
                            boolean grammarAccess)

  Deprecated.
  For DOM2 support.

Method Detail

### getOwnerDocument

    public final Document getOwnerDocument()

  Deprecated.
  Description copied from class: `ParentNode`
  Find the Document that this Node belongs to (the document in whose context the Node was created). The Node may or may not currently be part of that Document's actual contents.

  Specified by:
    `getOwnerDocument` in interface `Node`
  Overrides:
    `getOwnerDocument` in class `ParentNode`

### getNodeType

    public short getNodeType()

  Deprecated.
  Returns the node type.

  Specified by:
    `getNodeType` in interface `Node`
  Specified by:
    `getNodeType` in class `NodeImpl`

### getNodeName

    public String getNodeName()

  Deprecated.
  Returns the node name.

  Specified by:
    `getNodeName` in interface `Node`
  Specified by:
    `getNodeName` in class `NodeImpl`

### cloneNode

    public Node cloneNode(boolean deep)

  Deprecated.
  Deep-clone a document, including fixing ownerDoc for the cloned children. Note that this requires bypassing the WRONG_DOCUMENT_ERR protection. I've chosen to implement it by calling importNode which is DOM Level 2.

  Specified by:
    `cloneNode` in interface `Node`
  Overrides:
    `cloneNode` in class `ParentNode`
  Parameters:
    `deep` - boolean, iff true replicate children
  Returns:
    org.w3c.dom.Node
  See Also:
    `

    Example: Cloning a Text node will copy both the node and the text it contains.

    Example: Cloning something that has children -- Element or Attr, for example -- will _not_ clone those children unless a "deep clone" has been requested. A shallow clone of an Attr node will yield an empty Attr of the same name.

    NOTE: Clones will always be read/write, even if the node being cloned is read-only, to permit applications using only the DOM API to obtain editable copies of locked portions of the tree.

    `

### cloneNode

    protected void cloneNode(CoreDocumentImpl newdoc,
                             boolean deep)

  Deprecated.
  internal method to share code with subclass

### insertBefore

    public Node insertBefore(Node newChild,
                             Node refChild)
                      throws DOMException

  Deprecated.
  Since a Document may contain at most one top-level Element child, and at most one DocumentType declaraction, we need to subclass our add-children methods to implement this constraint. Since appendChild() is implemented as insertBefore(,null), altering the latter fixes both.

  While I'm doing so, I've taken advantage of the opportunity to cache documentElement and docType so we don't have to search for them. REVISIT: According to the spec it is not allowed to alter neither the document element nor the document type in any way

  Specified by:
    `insertBefore` in interface `Node`
  Overrides:
    `insertBefore` in class `ParentNode`
  Parameters:
    `newChild` - The Node to be moved to our subtree. As a convenience feature, inserting a DocumentNode will instead insert all its children.
    `refChild` - Current child which newChild should be placed immediately before. If refChild is null, the insertion occurs after all existing Nodes, like appendChild().
  Throws:
    `DOMException`
  See Also:
    `ParentNode`

### removeChild

    public Node removeChild(Node oldChild)
                     throws DOMException

  Deprecated.
  Since insertBefore caches the docElement (and, currently, docType), removeChild has to know how to undo the cache REVISIT: According to the spec it is not allowed to alter neither the document element nor the document type in any way

  Specified by:
    `removeChild` in interface `Node`
  Overrides:
    `removeChild` in class `ParentNode`
  Returns:
    oldChild, in its new state (removed).
  Throws:
    `DOMException`
  See Also:
    `ParentNode`

### replaceChild

    public Node replaceChild(Node newChild,
                             Node oldChild)
                      throws DOMException

  Deprecated.
  Since we cache the docElement (and, currently, docType), replaceChild has to update the cache REVISIT: According to the spec it is not allowed to alter neither the document element nor the document type in any way

  Specified by:
    `replaceChild` in interface `Node`
  Overrides:
    `replaceChild` in class `ParentNode`
  Throws:
    `DOMException`
  See Also:
    `ParentNode`

### getTextContent

    public String getTextContent()
                          throws DOMException

  Deprecated.
  Description copied from class: `NodeImpl`
  This attribute returns the text content of this node and its descendants. When it is defined to be null, setting it has no effect. When set, any possible children this node may have are removed and replaced by a single `Text` node containing the string this attribute is set to. On getting, no serialization is performed, the returned string does not contain any markup. No whitespace normalization is performed, the returned string does not contain the element content whitespaces . Similarly, on setting, no parsing is performed either, the input string is taken as pure textual content.
  The string returned is made of the text content of this node depending on its type, as defined below:

  Node type | Content
  --- | ---
  ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, DOCUMENT_FRAGMENT_NODE | concatenation of the `textContent` attribute value of every child node, excluding COMMENT_NODE and PROCESSING_INSTRUCTION_NODE nodes
  ATTRIBUTE_NODE, TEXT_NODE, CDATA_SECTION_NODE, COMMENT_NODE, PROCESSING_INSTRUCTION_NODE | `nodeValue`
  DOCUMENT_NODE, DOCUMENT_TYPE_NODE, NOTATION_NODE | null

  Specified by:
    `getTextContent` in interface `Node`
  Overrides:
    `getTextContent` in class `ParentNode`
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

### setTextContent

    public void setTextContent(String textContent)
                        throws DOMException

  Deprecated.
  Description copied from class: `NodeImpl`
  This attribute returns the text content of this node and its descendants. When it is defined to be null, setting it has no effect. When set, any possible children this node may have are removed and replaced by a single `Text` node containing the string this attribute is set to. On getting, no serialization is performed, the returned string does not contain any markup. No whitespace normalization is performed, the returned string does not contain the element content whitespaces . Similarly, on setting, no parsing is performed either, the input string is taken as pure textual content.
  The string returned is made of the text content of this node depending on its type, as defined below:

  Node type | Content
  --- | ---
  ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, DOCUMENT_FRAGMENT_NODE | concatenation of the `textContent` attribute value of every child node, excluding COMMENT_NODE and PROCESSING_INSTRUCTION_NODE nodes
  ATTRIBUTE_NODE, TEXT_NODE, CDATA_SECTION_NODE, COMMENT_NODE, PROCESSING_INSTRUCTION_NODE | `nodeValue`
  DOCUMENT_NODE, DOCUMENT_TYPE_NODE, NOTATION_NODE | null

  Specified by:
    `setTextContent` in interface `Node`
  Overrides:
    `setTextContent` in class `ParentNode`
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

### createAttribute

    public Attr createAttribute(String name)
                         throws DOMException

  Deprecated.
  Factory method; creates an Attribute having this Document as its OwnerDoc.

  Specified by:
    `createAttribute` in interface `Document`
  Parameters:
    `name` - The name of the attribute. Note that the attribute's value is _not_ established at the factory; remember to set it!
  Throws:
    `DOMException(INVALID_NAME_ERR)` - if the attribute name is not acceptable.
    `DOMException`

### createCDATASection

    public CDATASection createCDATASection(String data)
                                    throws DOMException

  Deprecated.
  Factory method; creates a CDATASection having this Document as its OwnerDoc.

  Specified by:
    `createCDATASection` in interface `Document`
  Parameters:
    `data` - The initial contents of the CDATA
  Throws:
    `DOMException(NOT_SUPPORTED_ERR)` - for HTML documents. (HTML not yet implemented.)
    `DOMException`

### createComment

    public Comment createComment(String data)

  Deprecated.
  Factory method; creates a Comment having this Document as its OwnerDoc.

  Specified by:
    `createComment` in interface `Document`
  Parameters:
    `data` - The initial contents of the Comment.

### createDocumentFragment

    public DocumentFragment createDocumentFragment()

  Deprecated.
  Factory method; creates a DocumentFragment having this Document as its OwnerDoc.

  Specified by:
    `createDocumentFragment` in interface `Document`

### createElement

    public Element createElement(String tagName)
                          throws DOMException

  Deprecated.
  Factory method; creates an Element having this Document as its OwnerDoc.

  Specified by:
    `createElement` in interface `Document`
  Parameters:
    `tagName` - The name of the element type to instantiate. For XML, this is case-sensitive. For HTML, the tagName parameter may be provided in any case, but it must be mapped to the canonical uppercase form by the DOM implementation.
  Throws:
    `DOMException(INVALID_NAME_ERR)` - if the tag name is not acceptable.
    `DOMException`

### createEntityReference

    public EntityReference createEntityReference(String name)
                                          throws DOMException

  Deprecated.
  Factory method; creates an EntityReference having this Document as its OwnerDoc.

  Specified by:
    `createEntityReference` in interface `Document`
  Parameters:
    `name` - The name of the Entity we wish to refer to
  Throws:
    `DOMException(NOT_SUPPORTED_ERR)` - for HTML documents, where nonstandard entities are not permitted. (HTML not yet implemented.)
    `DOMException`

### createProcessingInstruction

    public ProcessingInstruction createProcessingInstruction(String target,
                                                             String data)
                                                      throws DOMException

  Deprecated.
  Factory method; creates a ProcessingInstruction having this Document as its OwnerDoc.

  Specified by:
    `createProcessingInstruction` in interface `Document`
  Parameters:
    `target` - The target "processor channel"
    `data` - Parameter string to be passed to the target.
  Throws:
    `DOMException(INVALID_NAME_ERR)` - if the target name is not acceptable.
    `DOMException(NOT_SUPPORTED_ERR)` - for HTML documents. (HTML not yet implemented.)
    `DOMException`

### createTextNode

    public Text createTextNode(String data)

  Deprecated.
  Factory method; creates a Text node having this Document as its OwnerDoc.

  Specified by:
    `createTextNode` in interface `Document`
  Parameters:
    `data` - The initial contents of the Text.

### getDoctype

    public DocumentType getDoctype()

  Deprecated.
  For XML, this provides access to the Document Type Definition. For HTML documents, and XML documents which don't specify a DTD, it will be null.

  Specified by:
    `getDoctype` in interface `Document`

### getDocumentElement

    public Element getDocumentElement()

  Deprecated.
  Convenience method, allowing direct access to the child node which is considered the root of the actual document content. For HTML, where it is legal to have more than one Element at the top level of the document, we pick the one with the tagName "HTML". For XML there should be only one top-level (HTML not yet supported.)

  Specified by:
    `getDocumentElement` in interface `Document`

### getElementsByTagName

    public NodeList getElementsByTagName(String tagname)

  Deprecated.
  Return a live collection of all descendent Elements (not just immediate children) having the specified tag name.

  Specified by:
    `getElementsByTagName` in interface `Document`
  Parameters:
    `tagname` - The type of Element we want to gather. "*" will be taken as a wildcard, meaning "all elements in the document."
  See Also:
    `DeepNodeListImpl`

### getImplementation

    public DOMImplementation getImplementation()

  Deprecated.
  Retrieve information describing the abilities of this particular DOM implementation. Intended to support applications that may be using DOMs retrieved from several different sources, potentially with different underlying representations.

  Specified by:
    `getImplementation` in interface `Document`

### setErrorChecking

    public void setErrorChecking(boolean check)

  Deprecated.
  Sets whether the DOM implementation performs error checking upon operations. Turning off error checking only affects the following DOM checks:
  - Checking strings to make sure that all characters are legal XML characters
  - Hierarchy checking such as allowed children, checks for cycles, etc.

  Turning off error checking does not turn off the following checks:

  - Read only checks
  - Checks related to DOM events

### setStrictErrorChecking

    public void setStrictErrorChecking(boolean check)

  Deprecated.
  Specified by:
    `setStrictErrorChecking` in interface `Document`

### getErrorChecking

    public boolean getErrorChecking()

  Deprecated.
  Returns true if the DOM implementation performs error checking.

### getStrictErrorChecking

    public boolean getStrictErrorChecking()

  Deprecated.
  Specified by:
    `getStrictErrorChecking` in interface `Document`

### getActualEncoding

    public String getActualEncoding()

  Deprecated.
  DOM Level 3 WD - Experimental. An attribute specifying the actual encoding of this document. This is `null` otherwise.
  This attribute represents the property [character encoding scheme] defined in .

  Since:
    DOM Level 3

### setActualEncoding

    public void setActualEncoding(String value)

  Deprecated.
  DOM Level 3 WD - Experimental. An attribute specifying the actual encoding of this document. This is `null` otherwise.
  This attribute represents the property [character encoding scheme] defined in .

  Since:
    DOM Level 3

### setEncoding

    public void setEncoding(String value)

  Deprecated.
  DOM Level 3 WD - Experimental. An attribute specifying, as part of the XML declaration, the encoding of this document. This is null when unspecified.

### getEncoding

    public String getEncoding()

  Deprecated.
  DOM Level 3 WD - Experimental. The encoding of this document (part of XML Declaration)

### setVersion

    public void setVersion(String value)

  Deprecated.
  DOM Level 3 WD - Experimental. version - An attribute specifying, as part of the XML declaration, the version number of this document. This is null when unspecified

### getVersion

    public String getVersion()

  Deprecated.
  DOM Level 3 WD - Experimental. The version of this document (part of XML Declaration)

### setStandalone

    public void setStandalone(boolean value)

  Deprecated.
  DOM Level 3 WD - Experimental. standalone - An attribute specifying, as part of the XML declaration, whether this document is standalone

### getStandalone

    public boolean getStandalone()

  Deprecated.
  DOM Level 3 WD - Experimental. standalone that specifies whether this document is standalone (part of XML Declaration)

### getDocumentURI

    public String getDocumentURI()

  Deprecated.
  DOM Level 3 WD - Experimental. The location of the document or `null` if undefined.
  Beware that when the `Document` supports the feature "HTML" , the href attribute of the HTML BASE element takes precedence over this attribute.

  Specified by:
    `getDocumentURI` in interface `Document`
  Since:
    DOM Level 3

### getErrorHandler

    public org.apache.xerces.dom3.DOMErrorHandler getErrorHandler()

  Deprecated.
  DOM Level 3 WD - Experimental. Retrieve error handler.

### setErrorHandler

    public void setErrorHandler(org.apache.xerces.dom3.DOMErrorHandler errorHandler)

  Deprecated.
  DOM Level 3 WD - Experimental. Set error handler. It will be called in teh event that an error is encountered while performing an operation on a document.

### renameNode

    public Node renameNode(Node n,
                           String namespaceURI,
                           String name)
                    throws DOMException

  Deprecated.
  DOM Level 3 WD - Experimental. Renaming node

  Specified by:
    `renameNode` in interface `Document`
  Throws:
    `DOMException`

### normalizeDocument

    public void normalizeDocument()

  Deprecated.
  DOM Level 3 WD - Experimental Normalize document.

  Specified by:
    `normalizeDocument` in interface `Document`

### isNormalizeDocRequired

    protected boolean isNormalizeDocRequired()

  Deprecated.

### setNormalizationFeature

    public void setNormalizationFeature(String name,
                                        boolean state)
                                 throws DOMException

  Deprecated.
  DOM Level 3 WD - Experimental. setNormalizationFeature

  Throws:
    `DOMException`

### getNormalizationFeature

    public boolean getNormalizationFeature(String name)
                                    throws DOMException

  Deprecated.
  DOM Level 3 WD - Experimental. getNormalizationFeature

  Throws:
    `DOMException`

### canSetNormalizationFeature

    public boolean canSetNormalizationFeature(String name,
                                              boolean state)

  Deprecated.
  DOM Level 3 WD - Experimental. canSetNormalizationFeature

### getBaseURI

    public String getBaseURI()

  Deprecated.
  DOM Level 3 WD - Experimental. Retrieve baseURI

  Specified by:
    `getBaseURI` in interface `Node`
  Overrides:
    `getBaseURI` in class `NodeImpl`

### setDocumentURI

    public void setDocumentURI(String documentURI)

  Deprecated.
  DOM Level 3 WD - Experimental.

  Specified by:
    `setDocumentURI` in interface `Document`

### getAsync

    public boolean getAsync()

  Deprecated.
  DOM Level 3 WD - Experimental. Indicates whether the method load should be synchronous or asynchronous. When the async attribute is set to `true` the load method returns control to the caller before the document has completed loading. The default value of this property is `false`.
  Setting the value of this attribute might throw NOT_SUPPORTED_ERR if the implementation doesn't support the mode the attribute is being set to. Should the DOM spec define the default value of this property? What if implementing both async and sync IO is impractical in some systems? 2001-09-14. default is `false` but we need to check with Mozilla and IE.

  Specified by:
    `getAsync` in interface `DocumentLS`

### setAsync

    public void setAsync(boolean async)

  Deprecated.
  DOM Level 3 WD - Experimental. Indicates whether the method load should be synchronous or asynchronous. When the async attribute is set to `true` the load method returns control to the caller before the document has completed loading. The default value of this property is `false`.
  Setting the value of this attribute might throw NOT_SUPPORTED_ERR if the implementation doesn't support the mode the attribute is being set to. Should the DOM spec define the default value of this property? What if implementing both async and sync IO is impractical in some systems? 2001-09-14. default is `false` but we need to check with Mozilla and IE.

  Specified by:
    `setAsync` in interface `DocumentLS`

### abort

    public void abort()

  Deprecated.
  DOM Level 3 WD - Experimental. If the document is currently being loaded as a result of the method `load` being invoked the loading and parsing is immediately aborted. The possibly partial result of parsing the document is discarded and the document is cleared.

  Specified by:
    `abort` in interface `DocumentLS`

### load

    public boolean load(String uri)

  Deprecated.
  DOM Level 3 WD - Experimental. Replaces the content of the document with the result of parsing the given URI. Invoking this method will either block the caller or return to the caller immediately depending on the value of the async attribute. Once the document is fully loaded the document will fire a "load" event that the caller can register as a listener for. If an error occurs the document will fire an "error" event so that the caller knows that the load failed (see `ParseErrorEvent`).

  Specified by:
    `load` in interface `DocumentLS`
  Parameters:
    `uri` - The URI reference for the XML file to be loaded. If this is a relative URI...
  Returns:
    If async is set to `true` `load` returns `true` if the document load was successfully initiated. If an error occurred when initiating the document load `load` returns `false`.If async is set to `false` `load` returns `true` if the document was successfully loaded and parsed. If an error occurred when either loading or parsing the URI `load` returns `false`.

### loadXML

    public boolean loadXML(String source)

  Deprecated.
  DOM Level 3 WD - Experimental. Replace the content of the document with the result of parsing the input string, this method is always synchronous.

  Specified by:
    `loadXML` in interface `DocumentLS`
  Parameters:
    `source` - A string containing an XML document.
  Returns:
    `true` if parsing the input string succeeded without errors, otherwise `false`.

### saveXML

    public String saveXML(Node snode)
                   throws DOMException

  Deprecated.
  DOM Level 3 WD - Experimental. Save the document or the given node to a string (i.e. serialize the document or node).

  Specified by:
    `saveXML` in interface `DocumentLS`
  Parameters:
    `snode` - Specifies what to serialize, if this parameter is `null` the whole document is serialized, if it's non-null the given node is serialized.
  Returns:
    The serialized document or `null`.
  Throws:
    `DOMException` - WRONG_DOCUMENT_ERR: Raised if the node passed in as the node parameter is from an other document.

### createDocumentType

    public DocumentType createDocumentType(String qualifiedName,
                                           String publicID,
                                           String systemID)
                                    throws DOMException

  Deprecated.
  NON-DOM Factory method; creates a DocumentType having this Document as its OwnerDoc. (REC-DOM-Level-1-19981001 left the process of building DTD information unspecified.)

  Parameters:
    `name` - The name of the Entity we wish to provide a value for.
  Throws:
    `DOMException(NOT_SUPPORTED_ERR)` - for HTML documents, where DTDs are not permitted. (HTML not yet implemented.)
    `DOMException`

### createEntity

    public Entity createEntity(String name)
                        throws DOMException

  Deprecated.
  NON-DOM Factory method; creates an Entity having this Document as its OwnerDoc. (REC-DOM-Level-1-19981001 left the process of building DTD information unspecified.)

  Parameters:
    `name` - The name of the Entity we wish to provide a value for.
  Throws:
    `DOMException(NOT_SUPPORTED_ERR)` - for HTML documents, where nonstandard entities are not permitted. (HTML not yet implemented.)
    `DOMException`

### createNotation

    public Notation createNotation(String name)
                            throws DOMException

  Deprecated.
  NON-DOM Factory method; creates a Notation having this Document as its OwnerDoc. (REC-DOM-Level-1-19981001 left the process of building DTD information unspecified.)

  Parameters:
    `name` - The name of the Notation we wish to describe
  Throws:
    `DOMException(NOT_SUPPORTED_ERR)` - for HTML documents, where notations are not permitted. (HTML not yet implemented.)
    `DOMException`

### createElementDefinition

    public ElementDefinitionImpl createElementDefinition(String name)
                                                  throws DOMException

  Deprecated.
  NON-DOM Factory method: creates an element definition. Element definitions hold default attribute values.

  Throws:
    `DOMException`

### importNode

    public Node importNode(Node source,
                           boolean deep)
                    throws DOMException

  Deprecated.
  Copies a node from another document to this document. The new nodes are created using this document's factory methods and are populated with the data from the source's accessor methods defined by the DOM interfaces. Its behavior is otherwise similar to that of cloneNode.

  According to the DOM specifications, document nodes cannot be imported and a NOT_SUPPORTED_ERR exception is thrown if attempted.

  Specified by:
    `importNode` in interface `Document`
  Throws:
    `DOMException`

### adoptNode

    public Node adoptNode(Node source)

  Deprecated.
  DOM Level 3 WD - Experimental Change the node's ownerDocument, and its subtree, to this Document

  Specified by:
    `adoptNode` in interface `Document`
  Parameters:
    `source` - The node to adopt.
  See Also:
    `CoreDocumentImpl.importNode(org.w3c.dom.Node, boolean)`

### getElementById

    public Element getElementById(String elementId)

  Deprecated.
  Introduced in DOM Level 2 Returns the Element whose ID is given by elementId. If no such element exists, returns null. Behavior is not defined if more than one element has this ID.

  Note: The DOM implementation must have information that says which attributes are of type ID. Attributes with the name "ID" are not of type ID unless so defined. Implementations that do not know whether attributes are of type ID or not are expected to return null.

  Specified by:
    `getElementById` in interface `Document`
  See Also:
    `CoreDocumentImpl.getIdentifier(java.lang.String)`

### putIdentifier

    public void putIdentifier(String idName,
                              Element element)

  Deprecated.
  Registers an identifier name with a specified element node. If the identifier is already registered, the new element node replaces the previous node. If the specified element node is null, removeIdentifier() is called.

  See Also:
    `CoreDocumentImpl.getIdentifier(java.lang.String)`, `CoreDocumentImpl.removeIdentifier(java.lang.String)`

### getIdentifier

    public Element getIdentifier(String idName)

  Deprecated.
  Returns a previously registered element with the specified identifier name, or null if no element is registered.

  See Also:
    `CoreDocumentImpl.putIdentifier(java.lang.String, org.w3c.dom.Element)`, `CoreDocumentImpl.removeIdentifier(java.lang.String)`

### removeIdentifier

    public void removeIdentifier(String idName)

  Deprecated.
  Removes a previously registered element with the specified identifier name.

  See Also:
    `CoreDocumentImpl.putIdentifier(java.lang.String, org.w3c.dom.Element)`, `CoreDocumentImpl.getIdentifier(java.lang.String)`

### getIdentifiers

    public Enumeration getIdentifiers()

  Deprecated.
  Returns an enumeration registered of identifier names.

### createElementNS

    public Element createElementNS(String namespaceURI,
                                   String qualifiedName)
                            throws DOMException

  Deprecated.
  Introduced in DOM Level 2.

  Creates an element of the given qualified name and namespace URI. If the given namespaceURI is null or an empty string and the qualifiedName has a prefix that is "xml", the created element is bound to the predefined namespace "http://www.w3.org/XML/1998/namespace" [Namespaces].

  Specified by:
    `createElementNS` in interface `Document`
  Parameters:
    `namespaceURI` - The namespace URI of the element to create.
    `qualifiedName` - The qualified name of the element type to instantiate.
  Returns:
    Element A new Element object with the following attributes:
  Throws:
    `DOMException` - INVALID_CHARACTER_ERR: Raised if the specified name contains an invalid character.
    `DOMException` - NAMESPACE_ERR: Raised if the qualifiedName has a prefix that is "xml" and the namespaceURI is neither null nor an empty string nor "http://www.w3.org/XML/1998/namespace", or if the qualifiedName has a prefix different from "xml" and the namespaceURI is null or an empty string.
  Since:
    WD-DOM-Level-2-19990923

### createElementNS

    public Element createElementNS(String namespaceURI,
                                   String qualifiedName,
                                   String localpart)
                            throws DOMException

  Deprecated.
  NON-DOM: Xerces-specific constructor. "localName" is passed in, so we don't need to create a new String for it.

  Parameters:
    `namespaceURI` - The namespace URI of the element to create.
    `qualifiedName` - The qualified name of the element type to instantiate.
    `localName` - The local name of the element to instantiate.
  Returns:
    Element A new Element object with the following attributes:
  Throws:
    `DOMException` - INVALID_CHARACTER_ERR: Raised if the specified name contains an invalid character.

### createAttributeNS

    public Attr createAttributeNS(String namespaceURI,
                                  String qualifiedName)
                           throws DOMException

  Deprecated.
  Introduced in DOM Level 2.

  Creates an attribute of the given qualified name and namespace URI. If the given namespaceURI is null or an empty string and the qualifiedName has a prefix that is "xml", the created element is bound to the predefined namespace "http://www.w3.org/XML/1998/namespace" [Namespaces].

  Specified by:
    `createAttributeNS` in interface `Document`
  Parameters:
    `namespaceURI` - The namespace URI of the attribute to create. When it is null or an empty string, this method behaves like createAttribute.
    `qualifiedName` - The qualified name of the attribute to instantiate.
  Returns:
    Attr A new Attr object.
  Throws:
    `DOMException` - INVALID_CHARACTER_ERR: Raised if the specified name contains an invalid character.
  Since:
    WD-DOM-Level-2-19990923

### createAttributeNS

    public Attr createAttributeNS(String namespaceURI,
                                  String qualifiedName,
                                  String localName)
                           throws DOMException

  Deprecated.
  Xerces-specific constructor. "localName" is passed in, so we don't need to create a new String for it.

  Parameters:
    `namespaceURI` - The namespace URI of the attribute to create. When it is null or an empty string, this method behaves like createAttribute.
    `qualifiedName` - The qualified name of the attribute to instantiate.
    `localName` - The local name of the attribute to instantiate.
  Returns:
    Attr A new Attr object.
  Throws:
    `DOMException` - INVALID_CHARACTER_ERR: Raised if the specified name contains an invalid character.

### getElementsByTagNameNS

    public NodeList getElementsByTagNameNS(String namespaceURI,
                                           String localName)

  Deprecated.
  Introduced in DOM Level 2.

  Returns a NodeList of all the Elements with a given local name and namespace URI in the order in which they would be encountered in a preorder traversal of the Document tree.

  Specified by:
    `getElementsByTagNameNS` in interface `Document`
  Parameters:
    `namespaceURI` - The namespace URI of the elements to match on. The special value "*" matches all namespaces. When it is null or an empty string, this method behaves like getElementsByTagName.
    `localName` - The local name of the elements to match on. The special value "*" matches all local names.
  Returns:
    NodeList A new NodeList object containing all the matched Elements.
  Since:
    WD-DOM-Level-2-19990923

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Deprecated.
  Clone.

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

### isXMLName

    public static boolean isXMLName(String s)

  Deprecated.
  Check the string against XML's definition of acceptable names for elements and attributes and so on using the XMLCharacterProperties utility class

### isKidOK

    protected boolean isKidOK(Node parent,
                              Node child)

  Deprecated.
  Uses the kidOK lookup table to check whether the proposed tree structure is legal.

### changed

    protected void changed()

  Deprecated.
  Denotes that this node has changed.

  Overrides:
    `changed` in class `NodeImpl`

### changes

    protected int changes()

  Deprecated.
  Returns the number of changes to this node.

  Overrides:
    `changes` in class `NodeImpl`

### setUserData

    public Object setUserData(Node n,
                              String key,
                              Object data,
                              org.apache.xerces.dom3.UserDataHandler handler)

  Deprecated.
  Associate an object to a key on this node. The object can later be retrieved from this node by calling `getUserData` with the same key.

  Parameters:
    `n` - The node to associate the object to.
    `key` - The key to associate the object to.
    `data` - The object to associate to the given key, or `null` to remove any existing association to that key.
    `handler` - The handler to associate to that key, or `null`.
  Returns:
    Returns the `DOMObject` previously associated to the given key on this node, or `null` if there was none.
  Since:
    DOM Level 3 REVISIT: we could use a free list of UserDataRecord here

### getUserData

    public Object getUserData(Node n,
                              String key)

  Deprecated.
  Retrieves the object associated to a key on a this node. The object must first have been set to this node by calling `setUserData` with the same key.

  Parameters:
    `n` - The node the object is associated to.
    `key` - The key the object is associated to.
  Returns:
    Returns the `DOMObject` associated to the given key on this node, or `null` if there was none.
  Since:
    DOM Level 3

### finalize

    public void finalize()

  Deprecated.
  Call user data handlers to let them know the nodes they are related to are being deleted. The alternative would be to do that on Node but because the nodes are used as the keys we have a reference to them that prevents them from being gc'ed until the document is. At the same time, doing it here has the advantage of avoiding a finalize() method on Node, which would affect all nodes and not just the ones that have a user data.

  Overrides:
    `finalize` in class `Object`

### copyConfigurationProperties

    public void copyConfigurationProperties(XMLParserConfiguration config)

  Deprecated.
  NON-DOM: copy configuration properties from the parsing configuration. This method is called after the parsing is done

### setUserData

    protected void setUserData(NodeImpl n,
                               Object data)

  Deprecated.
  NON-DOM: kept for backward compatibility Store user data related to a given node This is a place where we could use weak references! Indeed, the node here won't be GC'ed as long as some user data is attached to it, since the userData table will have a reference to the node.

### getUserData

    protected Object getUserData(NodeImpl n)

  Deprecated.
  NON-DOM: kept for backward compatibility Retreive user data related to a given node

### addEventListener

    protected void addEventListener(NodeImpl node,
                                    String type,
                                    EventListener listener,
                                    boolean useCapture)

  Deprecated.

### removeEventListener

    protected void removeEventListener(NodeImpl node,
                                       String type,
                                       EventListener listener,
                                       boolean useCapture)

  Deprecated.

### copyEventListeners

    protected void copyEventListeners(NodeImpl src,
                                      NodeImpl tgt)

  Deprecated.

### dispatchEvent

    protected boolean dispatchEvent(NodeImpl node,
                                    Event event)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD